# LCASE or LOWER function

LCASE or LOWER takes a character expression as a parameter and returns a string in which all alpha characters have been converted to lowercase.

#### Syntax

    LCASE or LOWER ( CharacterExpression )

A CharacterExpression is a CHAR, VARCHAR, or LONG VARCHAR data type or any built-in type that is implicitly converted to a string (except a bit expression).

If the parameter type is CHAR or LONG VARCHAR, the return type is CHAR or LONG VARCHAR. Otherwise, the return type is VARCHAR.

The length and maximum length of the returned value are the same as the length and maximum length of the parameter.

If the CharacterExpression evaluates to null, this function returns null.

    -- returns 'asd1#w'
    VALUES LOWER('aSD1#w')

    SELECT LOWER(flight_id) FROM Flights

Parent topic: Built-in functions